divert(-1)
#
# Copyright (c) 1983 Eric P. Allman
# Copyright (c) 1988, 1993
#	The Regents of the University of California.  All rights reserved.
#
# Copyright (c) 1997-1999
#	Sun Microsystems, Inc.  All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#

#
#  This is a configuration file for SunOS 5.x (a.k.a. Solaris 2.x or x)
#  subsidiary machines, which would typically NFS mount /var/mail from
#  a remote host.  It has support for local and SMTP mail plus RemoteMode.
#  This means that if /var/mail is NFS mounted from some host foo, then
#  out-bound messages will be sent directly to foo.  If /var/mail is not
#  NFS mounted, the SMART_HOST macro is also enabled, which means that
#  messages will be sent to the SMART_HOST, which is set to mailhost.$m
#  ($m is the local domain).  A short-cut rule is also defined, which
#  says if the recipient host is in the local domain, send to it directly
#  instead of the smart host.
#
#  Note: if you do not NFS mount /var/mail and you do not need a smart host;
#  i.e., you are in an environment where MX records are properly defined,
#  then you should not be using this subsidiary config file; use main instead.
#
#  If you want to customize this further, copy it to a name appropriate
#  for your environment and do the modifications there.
#

divert(0)dnl
VERSIONID(`@(#)subsidiary-v7sun.mc	1.4 (Sun) 01/22/99')
OSTYPE(solaris2.ml)dnl
DOMAIN(solaris-generic)dnl
FEATURE(`remote_mode')dnl
define(`SMART_HOST', `mailhost.$m')
MAILER(local)dnl
MAILER(smtp)dnl

LOCAL_NET_CONFIG
R$* < @ $* .$m. > $*	$#esmtp $@ $2.$m $: $1 < @ $2.$m. > $3
